内容字号:默认大号超大号

段落设置:段首缩进取消段首缩进

字体设置:切换到微软雅黑切换到宋体

AndroidStudio3.2.1解决错误信息"No toolchains found in the N

2018-12-03 20:41 出处:清屏网 人气: 评论(0

在用 Android Studio 3.2.1 导入以前的项目,进行编译的时候,报告如下错误信息:

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring project ':app'.
> No toolchains found in the NDK toolchains folder for ABI with prefix: mips64el-linux-android

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

CONFIGURE FAILED in 5s
No toolchains found in the NDK toolchains folder for ABI with prefix: mips64el-linux-android

这个错误信息的原因是从 NDK r17 版本开始,已经不支持 "armeabi、mips、mips64" 这三种 ABI 格式了,而当前机器上安装的 NDK 版本是 NDK r17 之后的版本。

不过这个提示很能迷惑人,会让人误以为自己的 build.gradle 中配置了 MIPSABI 。实际上根本没有配置,是低版本的构建工具自己在默认构建 MIPS 格式,而又找不到对应的工具链。

解决方法很简单,要么使用低于 NDK r17NDK 版本,要么修改主工程的 build.gradle ,找到如下

// Top-level build file where you can add configuration options common to all sub-projects/modules.
configure(allprojects) {
buildscript {
repositories {
		google()
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.0.0'
}
}

repositories {
jcenter()
}
}

将其中的

classpath 'com.android.tools.build:gradle:3.0.0'

修改成

classpath 'com.android.tools.build:gradle:3.2.1'

高版本的构建工具,才能适配高版本的 NDK

参考链接


分享给小伙伴们:
本文标签: AndroidStudi

相关文章

发表评论愿您的每句评论,都能给大家的生活添色彩,带来共鸣,带来思索,带来快乐。

CopyRight © 2015-2016 QingPingShan.com , All Rights Reserved.

清屏网 版权所有 豫ICP备15026204号